<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

		// es un archivo de un repositorio?
		if (substr($rowARC['archivo'],0,7) == "http://")
		{
			$tpl_arc_repositorio = 1;
			$tpl_arc_existe = file_exists_url($rowARC["archivo"]);
		
		} else {
		
			$tpl_arc_repositorio = 0;
			$tpl_arc_existe = file_exists_url("./archivos/".$rowARC["archivo"]);
		
		}
						
			if (IDIOMA_ACTUAL == 0)
			{
				$rowARC["nombre"] = $rowARC["nombre"];
				$rowARC["comentario"] = salida_gral( $rowARC["comentario"] );
			}
			else if (IDIOMA_ACTUAL == 1)
			{
				$rowARC["nombre"] = $rowARC["nombre_1"];
				$rowARC["comentario"] = salida_gral( $rowARC["comentario_1"] );
			}
			else if (IDIOMA_ACTUAL == 2)
			{
				$rowARC["nombre"] = $rowARC["nombre_2"];
				$rowARC["comentario"] = salida_gral( $rowARC["comentario_2"] );
			}
			else if (IDIOMA_ACTUAL == 3)
			{
				$rowARC["nombre"] = $rowARC["nombre_3"];
				$rowARC["comentario"] = salida_gral( $rowARC["comentario_3"] );
			}
			else if (IDIOMA_ACTUAL == 4)
			{
				$rowARC["nombre"] = $rowARC["nombre_4"];
				$rowARC["comentario"] = salida_gral( $rowARC["comentario_4"] );
			}
			else if (IDIOMA_ACTUAL == 5)
			{
				$rowARC["nombre"] = $rowARC["nombre_5"];
				$rowARC["comentario"] = salida_gral( $rowARC["comentario_5"] );
			}
		
			// fecha
			if (CONFIG_10 == 0)
			{
				$rowARC["fecha"] = salida_fecha_latin ($rowARC["fecha"]);
		
			} else if (CONFIG_10 == 1) {
			
				$rowARC["fecha"] = salida_fecha_literal ($rowARC["fecha"]);
		
			}

			// popups
			$rowARC["titulo_descarga_popup"] = salida_popups(LEN_75);
			
			if ($tpl_arc_repositorio == 0 && $tpl_arc_existe)
			{
			
				$file_path = "./archivos/".$rowARC["archivo"];
				$rowARC["size"] = filesize_comple($file_path);
				$rowARC["es_repositorio"] = 0;
				$rowARC["existe"] = 1;

			} else if ($tpl_arc_repositorio == 1 && $tpl_arc_existe)
			{

				$file_path = $rowARC["archivo"];
				$rowARC["size"] = filesize_comple($file_path,false);
				$rowARC["es_repositorio"] = 1;
				$rowARC["existe"] = 1;

			
			} else // no existe el archivo
			{
			
				$rowARC["existe"] = 0;
				
			
			}

			$indice_ini = $i/$vercolumnas;
			$indice_fin = ($i+1)/$vercolumnas;
				
			if (is_int($indice_ini))
			{
				
				$rowARC["salida_gral_tr_ini"] = 1;
			}

			if (is_int($indice_fin))
			{
				
				$rowARC["salida_gral_tr_fin"] = 1;
			}

			// ancho de celda
			$rowARC["salida_gral_celda"] = 100/$vercolumnas;
			
			// incluye [+] de editar relacionado
			if (isset($rowITEM["son_relacionados"])) { $edit_plus = ' <a href="javascript:edit(\''.RUTA_INICIO_IMG.'gestor.php?relaID='.$rowrels["relaID"].'\','.CONFIG_5.');" class="admin">[+]</a>'; } else { $edit_plus = '';  }

		$rowARC["logADMIN"] = '<div class="admin_info"><a href="javascript:edit(\''.RUTA_INICIO_IMG.'gestor.php?fileID='.$rowARC["fileID"].'\','.CONFIG_5.');" class="admin">'.LEN_55.'</a>'.$edit_plus.' | #'.$rowARC["fileID"].' | '.$rowARC["descargas"].'</div>';

?>